# pb_ds::priority_queue< Value_Type, Cmp_Fn, Tag, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Value_Type, typename Cmp_Fn = std::less<Value_Type>, typename Tag = pairing_heap_tag, typename Allocator = std::allocator<char>>
class pb_ds::priority_queue< Value_Type, Cmp_Fn, Tag, Allocator >

Definition at line 61 of file priority_queue.hpp.

## Public Types

- typedef Allocator allocator
- typedef Cmp_Fn cmp_fn
- typedef base_type::const_iterator const_iterator
- typedef base_type::const_point_iterator const_point_iterator
- typedef value_rebind::const_pointer const_pointer
- typedef value_rebind::const_reference const_reference
- typedef Tag container_category
- typedef allocator::difference_type difference_type
- typedef base_type::iterator iterator
- typedef base_type::point_iterator point_iterator
- typedef value_rebind::pointer pointer
- typedef value_rebind::reference reference
- typedef allocator::size_type size_type
- typedef allocator::template
  rebind< value_type >::other value_rebind
- typedef Value_Type value_type

## Public Member Functions

- priority_queue & operator= (const priority_queue &other)
- priority_queue (const priority_queue &other)
- template<typename It> priority_queue (It first_it, It last_it, const cmp_fn &r_cmp_fn)
- template<typename It> priority_queue (It first_it, It last_it)
- priority_queue (const cmp_fn &r_cmp_fn)
- priority_queue ()
- void swap (priority_queue &other)
- virtual ~priority_queue ()

The documentation for this class was generated from the following file:

- priority_queue.hpp